Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::VectorConstantInterpolator Class Reference

ベクトル定数補間 More...

`#include <VectorConstantInterpolator.h>`

Inheritance diagram for Lamp::VectorConstantInterpolator:

List of all members.

## Public Member Functions
| VectorConstantInterpolator ()
| コンストラクタ
virtual | ~VectorConstantInterpolator ()
| デストラクタ
| VectorConstantInterpolator (const VectorConstantInterpolator &copy)
| コピーコンストラクタ
virtual VectorConstantInterpolator & | operator= (const VectorConstantInterpolator &copy)
| 代入演算子
virtual VectorInterpolator * | duplicate () const
| 複製
virtual bool | equals (const VectorInterpolator &target) const
| 同じ値かどうか
virtual float | getLength () const
| 長さの取得
virtual void | setLength (float length)
| 長さの設定
virtual AxisAlignedBox | getBoundingBox () const
| バウンディングボックスの取得
virtual Vector3 | interpolate (float time)
| 補間
virtual void | setValue (const Vector3 &value)
| 値の設定
virtual Vector3 | getValue () const
| 値の取得
virtual bool | isVectorConstantInterpolator () const
| ベクトル定数補間かどうか

## Detailed Description

ベクトル定数補間

Definition at line 36 of file VectorConstantInterpolator.h.

## Constructor & Destructor Documentation

Lamp::VectorConstantInterpolator::VectorConstantInterpolator | ( | const VectorConstantInterpolator & | copy | ) | `[inline, explicit]`

  | コピーコンストラクタ Parameters:
  copy | コピー元
Definition at line 53 of file VectorConstantInterpolator.h. References length_, and value_.

## Member Function Documentation

virtual VectorInterpolator* Lamp::VectorConstantInterpolator::duplicate | ( |  | ) | const`[inline, virtual]`

| 複製 Returns: 複製されたベクトル補間。呼び出し元でdeleteする必要がある Implements Lamp::VectorInterpolator. Definition at line 77 of file VectorConstantInterpolator.h. References VectorConstantInterpolator().

virtual bool Lamp::VectorConstantInterpolator::equals | ( | const VectorInterpolator & | target | ) | const`[inline, virtual]`

  | 同じ値かどうか Parameters:
  target | 比較対象
Returns: 同じ値ならtrueをかえす Implements Lamp::VectorInterpolator. Definition at line 88 of file VectorConstantInterpolator.h. References Lamp::VectorInterpolator::castVectorConstantInterpolator(), length_, NULL, and value_.

virtual AxisAlignedBox Lamp::VectorConstantInterpolator::getBoundingBox | ( |  | ) | const`[inline, virtual]`

| バウンディングボックスの取得 Returns: バウンディングボックス Implements Lamp::VectorInterpolator. Definition at line 121 of file VectorConstantInterpolator.h. References Lamp::AxisAlignedBox::set().

virtual float Lamp::VectorConstantInterpolator::getLength | ( |  | ) | const`[inline, virtual]`

| 長さの取得 Returns: 長さ Implements Lamp::VectorInterpolator. Definition at line 103 of file VectorConstantInterpolator.h. Referenced by Lamp::TextAnimationSaver::writeVectorConstantInterpolator(), and Lamp::BinaryAnimationSaver::writeVectorConstantInterpolator().

virtual Vector3 Lamp::VectorConstantInterpolator::getValue | ( |  | ) | const`[inline, virtual]`

| 値の取得 Returns: 取得した値 Definition at line 150 of file VectorConstantInterpolator.h. Referenced by Lamp::TextAnimationSaver::writeVectorConstantInterpolator(), and Lamp::BinaryAnimationSaver::writeVectorConstantInterpolator().

virtual Vector3 Lamp::VectorConstantInterpolator::interpolate | ( | float | time | ) | `[inline, virtual]`

  | 補間 Parameters:
  time | 時間
Returns: 補間されたベクトル Implements Lamp::VectorInterpolator. Definition at line 135 of file VectorConstantInterpolator.h.

virtual bool Lamp::VectorConstantInterpolator::isVectorConstantInterpolator | ( |  | ) | const`[inline, virtual]`

| ベクトル定数補間かどうか Returns: ベクトル定数補間ならtrue Reimplemented from Lamp::VectorInterpolator. Definition at line 157 of file VectorConstantInterpolator.h.

virtual VectorConstantInterpolator& Lamp::VectorConstantInterpolator::operator= | ( | const VectorConstantInterpolator & | copy | ) | `[inline, virtual]`

  | 代入演算子 Parameters:
  copy | 代入元
Definition at line 63 of file VectorConstantInterpolator.h. References length_, and value_.

virtual void Lamp::VectorConstantInterpolator::setLength | ( | float | length | ) | `[inline, virtual]`

  | 長さの設定 Parameters:
  length | 長さ
Definition at line 109 of file VectorConstantInterpolator.h. References Assert. Referenced by Lamp::VectorInterpolationCompressor::compressConstant(), Lamp::TextAnimationLoader::readVectorConstantInterpolator(), and Lamp::BinaryAnimationLoader::readVectorConstantInterpolator().

virtual void Lamp::VectorConstantInterpolator::setValue | ( | const Vector3 & | value | ) | `[inline, virtual]`

  | 値の設定 Parameters:
  value | 設定する値
Definition at line 144 of file VectorConstantInterpolator.h. Referenced by Lamp::VectorInterpolationCompressor::compressConstant(), Lamp::TextAnimationLoader::readVectorConstantInterpolator(), and Lamp::BinaryAnimationLoader::readVectorConstantInterpolator().

The documentation for this class was generated from the following file:

- VectorConstantInterpolator.h